Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 07-02-2018 18:06:30

fred02840
Membre
Lieu : Aisne
Distrib. : Stretch 9.3
Noyau : Linux 4.9.0-5-amd64
(G)UI : Gnome
Inscription : 07-02-2018

Vidéoprojection et pagaille due à nvidia [RÉSOLU]

Bonjour,

J'ai une Debian Stretch sur mon MacBook Pro (2010), qui tourne très bien. L'autre jour, j'ai été amené à utiliser un vidéoprojecteur : en vain, car le dit VP n'a pas été reconnu.
Hier, j'ai regardé la documentation disponible, et j'ai cru bien faire en installant le paquet nvidia-driver (puisque ma carte graphique en est une, modèle GT 330m). Au redémarrage, grosse pagaille : je n'arrive même pas à la fenêtre de connexion, mais à un message d'alerte (indiquant qu'il y a un problème).
J'ai tenté d'accéder au système via un CD-Live. Si je retrouve tous mes fichiers, pas moyen de supprimer le paquet fautif avec le Terminal.

Merci de votre aide,
Fred

Dernière modification par fred02840 (08-02-2018 16:58:14)


Fred
----
Debian 9 sur MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...), et sur une eMachines, Intel Atom N455, 1Go de Ram, et 250 Go (LXDE minimale)

Hors ligne

#2 07-02-2018 18:10:36

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

fred02840 a écrit :

un message d'alerte (indiquant qu'il y a un problème).


Peux-tu l'indiquer ?


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#3 07-02-2018 18:25:01

fred02840
Membre
Lieu : Aisne
Distrib. : Stretch 9.3
Noyau : Linux 4.9.0-5-amd64
(G)UI : Gnome
Inscription : 07-02-2018

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

J'oubliais : j'ai installé l'environnement Gnome.
Le message d'alerte (j'aurais dû avoir le réflexe d'y penser...) :

« Oh mince ! Quelque chose s'est mal passé.
Un problème est survenu et le système ne peut pas se récupérer.
Déconnectez-vous et essayez de nouveau ».
Bouton : « Fermer la session ».

En cliquant sur ce bouton, je reviens aux pages de vérification des éléments du système, et finalement à la page d'alerte.

J'ai tenté un démarrage en mode recovery. En vain aussi.

Dernière modification par fred02840 (07-02-2018 19:33:09)


Fred
----
Debian 9 sur MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...), et sur une eMachines, Intel Atom N455, 1Go de Ram, et 250 Go (LXDE minimale)

Hors ligne

#4 07-02-2018 19:35:23

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

Parfait;
Je ne suis pas costaud pour aider à l'aveugle sur le forum, d'autres membres plus expérimentés devraient intervenir prochainement.

Force et courage

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#5 07-02-2018 21:25:02

deuchdeb
Moderato ma non troppo
Lieu : Pays de Cocagne
Distrib. : Stretch 9 + backports
Noyau : Noyau stable
(G)UI : KDE 5.8 - Gnome 3.22
Inscription : 13-01-2010

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

Bonjour,

Tu peux déjà entrer dans ton système avec l'installateur debian en utilisant la méthode là: https://www.debian.org/releases/stable/ … 07.html.fr
Une fois dans ton système tu peux entrer les commandes administrateur pour enlever les pilotes nvidia.
Tu dois pouvoir revenir en arrière en suivant cet exemple:  https://wiki.debian.org/fr/NvidiaGraphi … 27incident

Hors ligne

#6 07-02-2018 21:48:27

fred02840
Membre
Lieu : Aisne
Distrib. : Stretch 9.3
Noyau : Linux 4.9.0-5-amd64
(G)UI : Gnome
Inscription : 07-02-2018

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

Je vais tester la solution apportée par deuchdeb, que je remercie. Entre temps, voici ce que j'ai fait :
- démarrage en mode recovery
- saisie du mot de passe super-user, pour pouvoir utiliser la console comme le Terminal
- apt remove nvidia-driver
- nettoyage du tout : apt autoremove && apt autoclean
- exit
Là, j'ai été bloqué. J'ai éteint l'ordinateur manuellement, puis redémarrage en mode normal. Un progrès : plus de message d'erreur. Mais au terme du défilé habituel, l'écran est devenu noir. J'ai redémarré sur le 2e noyau (pour voir), mais "Failed to load kernel device" à plusieurs reprises.
J'en suis là...

Fred
----
Debian 9 sur MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...), et sur une eMachines, Intel Atom N455, 1Go de Ram, et 250 Go (LXDE minimale)

Hors ligne

#7 07-02-2018 21:50:18

fred02840
Membre
Lieu : Aisne
Distrib. : Stretch 9.3
Noyau : Linux 4.9.0-5-amd64
(G)UI : Gnome
Inscription : 07-02-2018

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

Puisque j'ai pu me connecter en super-user en mode recovery, je vais procéder aux manip' que tu me recommandes, Deuchdeb. Pour voir (je suis un curieux...).

Fred
----
Debian 9 sur MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...), et sur une eMachines, Intel Atom N455, 1Go de Ram, et 250 Go (LXDE minimale)

Hors ligne

#8 07-02-2018 22:02:58

fred02840
Membre
Lieu : Aisne
Distrib. : Stretch 9.3
Noyau : Linux 4.9.0-5-amd64
(G)UI : Gnome
Inscription : 07-02-2018

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

Deuchdeb, tu es un dieu vivant. Si.
En mode recovery, j'ai saisi le mot de passe administrateur (super-user). J'ai entré les instructions que tu m'as recommandées (https://wiki.debian.org/fr/NvidiaGraphi … 27incident). Reboot en mode normal. Et là, tout était remis en place...
Alléluia et toutes ces sortes de choses.

Merci beaucoup !!

Fred
----
Debian 9 sur MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...), et sur une eMachines, Intel Atom N455, 1Go de Ram, et 250 Go (LXDE minimale)

Hors ligne

#9 08-02-2018 00:54:41

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

fred02840 a écrit :

Alléluia et toutes ces sortes de choses


Impec, alors y faut indiquer que le post est résolu voir le tuto en lien pour le faire bien : \o/
Voir le tuto : C'est résolu ! Bravo mais il faut l'indiquer dans l'titre.


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#10 08-02-2018 14:10:10

deuchdeb
Moderato ma non troppo
Lieu : Pays de Cocagne
Distrib. : Stretch 9 + backports
Noyau : Noyau stable
(G)UI : KDE 5.8 - Gnome 3.22
Inscription : 13-01-2010

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

fred02840 a écrit :

Deuchdeb, tu es un dieu vivant



Shuuuuuut !!!!!

Hors ligne

#11 08-02-2018 16:57:11

fred02840
Membre
Lieu : Aisne
Distrib. : Stretch 9.3
Noyau : Linux 4.9.0-5-amd64
(G)UI : Gnome
Inscription : 07-02-2018

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

Je mets tout ça en « Résolu », mais il va falloir tester le vidéoproj' au bahut. Je reviendrai...

Fred
----
Debian 9 sur MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...), et sur une eMachines, Intel Atom N455, 1Go de Ram, et 250 Go (LXDE minimale)

Hors ligne

#12 08-02-2018 19:15:07

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch + backports
Noyau : Linux 4.9.0-6-amd64
(G)UI : Mate 1.18
Inscription : 11-03-2016

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

Tu as réinstallé le driver propriétaire ?

En ligne

#13 08-02-2018 19:27:53

fred02840
Membre
Lieu : Aisne
Distrib. : Stretch 9.3
Noyau : Linux 4.9.0-5-amd64
(G)UI : Gnome
Inscription : 07-02-2018

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

Oh que non ! Je pense qu'il doit y avoir une manip' à faire avec un autre paquet. Mais nvidia-driver, c'est bon : ça ira bien comme ça...

Fred
----
Debian 9 sur MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...), et sur une eMachines, Intel Atom N455, 1Go de Ram, et 250 Go (LXDE minimale)

Hors ligne

#14 08-02-2018 20:28:18

deuchdeb
Moderato ma non troppo
Lieu : Pays de Cocagne
Distrib. : Stretch 9 + backports
Noyau : Noyau stable
(G)UI : KDE 5.8 - Gnome 3.22
Inscription : 13-01-2010

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

Peut-être que le tuto xrandr pourra t'aider: https://debian-facile.org/doc:environnements:x11:xrandr

Hors ligne

#15 08-02-2018 21:29:57

robert2a
Membre
Lieu : France
Distrib. : Stretch 9 , Buster 10 , Sid
Noyau : Linux 4.9 / 4.16.12 / 4.18-rc1
(G)UI : Mate/Gnome
Inscription : 15-11-2014

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

la méthode d'installer un paquet "nvidia-driver" c'est pas terrible  tongue  mais je vais pas m' étendre sur le sujet  roll  .
ta carte supporte deux écrans ?  (l'écran de la machine et le projecteur )
nvidia pas trop mon truc ....  mais GT 330m c'est du gpu pour portable , tu aurais pas un gpu intel aussi ?   (je connais pas je raconte peut etre des bétises tongue  )

une machine de ce genre ?  =>  https://support.apple.com/kb/SP583?loca … cale=fr_FR

Dernière modification par robert2a (08-02-2018 21:33:11)

Hors ligne

#16 09-02-2018 12:37:55

fred02840
Membre
Lieu : Aisne
Distrib. : Stretch 9.3
Noyau : Linux 4.9.0-5-amd64
(G)UI : Gnome
Inscription : 07-02-2018

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

deuchdeb a écrit :

Peut-être que le tuto xrandr pourra t'aider: https://debian-facile.org/doc:environnements:x11:xrandr



Xrandr : je ne connaissais pas. Je vais voir ça : merci du tuyau !


Fred
----
Debian 9 sur MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...), et sur une eMachines, Intel Atom N455, 1Go de Ram, et 250 Go (LXDE minimale)

Hors ligne

#17 09-02-2018 12:42:28

fred02840
Membre
Lieu : Aisne
Distrib. : Stretch 9.3
Noyau : Linux 4.9.0-5-amd64
(G)UI : Gnome
Inscription : 07-02-2018

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

robert2a a écrit :

la méthode d'installer un paquet "nvidia-driver" c'est pas terrible  tongue  mais je vais pas m' étendre sur le sujet  roll  .
ta carte supporte deux écrans ?  (l'écran de la machine et le projecteur )
nvidia pas trop mon truc ....  mais GT 330m c'est du gpu pour portable , tu aurais pas un gpu intel aussi ?   (je connais pas je raconte peut etre des bétises tongue  )

une machine de ce genre ?  =>  https://support.apple.com/kb/SP583?loca … cale=fr_FR



La carte supporte deux écrans : je m'en servais régulièrement (tous les jours) quand le portable était encore sous MacOS X, mais je n'avais pas encore tenté l'expérience avec la Debian depuis mai dernier.
Et le processeur est bien un Intel : bonne intuition. C'est un Intel Core i5 ou i7 (faut que je vérifie ça).
Que me conseillerais-tu ? Comme tu viens de le lire, Deuchdeb m'oriente vers xrandr, qui ne m'a pas l'air mal.


Fred
----
Debian 9 sur MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...), et sur une eMachines, Intel Atom N455, 1Go de Ram, et 250 Go (LXDE minimale)

Hors ligne

#18 09-02-2018 12:46:43

fred02840
Membre
Lieu : Aisne
Distrib. : Stretch 9.3
Noyau : Linux 4.9.0-5-amd64
(G)UI : Gnome
Inscription : 07-02-2018

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

Ça coince pour XRandR : « Aucune version du paquet xrandr n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source
Cependant les paquets suivants le remplacent :
  x11-xserver-utils:i386 x11-xserver-utils ».
Je vais l'installer.

En attendant, j'ai installé les versions graphiques : ARandR et LXrandR. On va voir...

Fred
----
Debian 9 sur MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...), et sur une eMachines, Intel Atom N455, 1Go de Ram, et 250 Go (LXDE minimale)

Hors ligne

#19 09-02-2018 12:49:21

fred02840
Membre
Lieu : Aisne
Distrib. : Stretch 9.3
Noyau : Linux 4.9.0-5-amd64
(G)UI : Gnome
Inscription : 07-02-2018

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

« x11-xserver-utils » était déjà installé.
J'ai un message d'alerte : « x11-xserver-utils : Est en conflit avec: x11-xserver-utils:i386 mais 7.7+7+b1 devra être installé
x11-xserver-utils:i386 : Dépend: cpp:i386 mais ne sera pas installé ».
C'est quoi « 7.7+7+b1 » ?

Fred
----
Debian 9 sur MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...), et sur une eMachines, Intel Atom N455, 1Go de Ram, et 250 Go (LXDE minimale)

Hors ligne

#20 09-02-2018 13:04:57

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.4.0-64-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

Tu peux poser la question sur le chat irc #debian-facile, peut-être auras-tu une réponse plus rapide hmm

Trisquel 8 64bits  Ordi.: Thinkpad T400
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

En ligne

#21 09-02-2018 13:40:32

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch + backports
Noyau : Linux 4.9.0-6-amd64
(G)UI : Mate 1.18
Inscription : 11-03-2016

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

On peut répondre sur le forum aussi et la réponse sera vues par tous plus facilement
Ou reporter la réponse d’irc sur le forum pour que ça profite à tous smile

En ligne

#22 09-02-2018 13:59:12

robert2a
Membre
Lieu : France
Distrib. : Stretch 9 , Buster 10 , Sid
Noyau : Linux 4.9 / 4.16.12 / 4.18-rc1
(G)UI : Mate/Gnome
Inscription : 15-11-2014

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

Bonjour
poster ce que donne la commande lspci


lspci
 



pour les conflits de paquets utilise aptitude , tu a peut etre tout simplement un conflit de version ou un paquet qui pose problème.
nota: aptitude n'est peut etre pas installé sur ta machine


apt-get install aptitude
 



a ta question => C'est quoi « 7.7+7+b1 » ?  c'est un paquet de testing  => https://packages.debian.org/stretch/x11-xserver-utils
ps: je regarde la version de stretch  roll

erreur de ma part la meme version sur stretch (stable) et testing et sid

Dernière modification par robert2a (09-02-2018 14:07:18)

Hors ligne

#23 09-02-2018 14:06:12

fred02840
Membre
Lieu : Aisne
Distrib. : Stretch 9.3
Noyau : Linux 4.9.0-5-amd64
(G)UI : Gnome
Inscription : 07-02-2018

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

Je n'ai jamais utilisé le chat irc, et la formule du forum me paraît a priori plus intéressante : non seulement, comme le dit Chalu, les réponses seront vues par tous, mais je pourrai m'y reporter en cas de besoin.

Sinon, voici le résultat pour lspci :

root@debian:/home/fred# lspci
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 12)
00:01.0 PCI bridge: Intel Corporation Core Processor PCI Express x16 Root Port (rev 12)
00:1a.0 USB controller: Intel Corporation 5 Series/3400 Series Chipset USB Universal Host Controller (rev 06)
00:1a.7 USB controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 06)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 06)
00:1c.2 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 3 (rev 06)
00:1c.3 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 (rev 06)
00:1d.0 USB controller: Intel Corporation 5 Series/3400 Series Chipset USB Universal Host Controller (rev 06)
00:1d.7 USB controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a6)
00:1f.0 ISA bridge: Intel Corporation HM55 Chipset LPC Interface Controller (rev 06)
00:1f.2 IDE interface: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA IDE Controller (rev 06)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 06)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 06)
01:00.0 VGA compatible controller: NVIDIA Corporation GT216M [GeForce GT 330M] (rev a2)
01:00.1 Audio device: NVIDIA Corporation GT216 HDMI Audio Controller (rev a1)
02:00.0 Ethernet controller: Broadcom Limited NetXtreme BCM5764M Gigabit Ethernet PCIe (rev 10)
03:00.0 Network controller: Broadcom Limited BCM43224 802.11a/b/g/n (rev 01)
04:00.0 FireWire (IEEE 1394): LSI Corporation FW643 [TrueFire] PCIe 1394b Controller (rev 08)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
ff:02.1 Host bridge: Intel Corporation 1st Generation Core i3/5/7 Processor QPI Physical 0 (rev 02)
ff:02.2 Host bridge: Intel Corporation 1st Generation Core i3/5/7 Processor Reserved (rev 02)
ff:02.3 Host bridge: Intel Corporation 1st Generation Core i3/5/7 Processor Reserved (rev 02)
root@debian:/home/fred#
 


Fred
----
Debian 9 sur MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...), et sur une eMachines, Intel Atom N455, 1Go de Ram, et 250 Go (LXDE minimale)

Hors ligne

#24 09-02-2018 14:08:46

fred02840
Membre
Lieu : Aisne
Distrib. : Stretch 9.3
Noyau : Linux 4.9.0-5-amd64
(G)UI : Gnome
Inscription : 07-02-2018

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

robert2a a écrit :

Bonjour
poster ce que donne la commande lspci


lspci
 



pour les conflits de paquets utilise aptitude , tu a peut etre tout simplement un conflit de version ou un paquet qui pose problème.
nota: aptitude n'est peut etre pas installé sur ta machine


apt-get install aptitude
 



Ah, OK. Mais j'utilise déjà aptitude. Là, j'avais fait `apt install xrandr`

a ta question => C'est quoi « 7.7+7+b1 » ?  c'est un paquet de testing  => https://packages.debian.org/stretch/x11-xserver-utils
ps: je regarde la version de stretch  roll



Je t'en remercie.
LXRandR ne s'ouvre pas. Par contre, ARandR sort (désolé : difficile de m'en empêcher). C'est déjà un bon point...


Fred
----
Debian 9 sur MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...), et sur une eMachines, Intel Atom N455, 1Go de Ram, et 250 Go (LXDE minimale)

Hors ligne

#25 09-02-2018 14:10:22

robert2a
Membre
Lieu : France
Distrib. : Stretch 9 , Buster 10 , Sid
Noyau : Linux 4.9 / 4.16.12 / 4.18-rc1
(G)UI : Mate/Gnome
Inscription : 15-11-2014

Re : Vidéoprojection et pagaille due à nvidia [RÉSOLU]

pour ton problème de projecteur tu n'a que cette carte nvidia dans la machine


01:00.0 VGA compatible controller: NVIDIA Corporation GT216M [GeForce GT 330M] (rev a2)
01:00.1 Audio device: NVIDIA Corporation GT216 HDMI Audio Controller (rev a1)
 


il faudrait voir le log de X et le retour de la commande glxinfo -B


glxinfo -B
 



le log de X doit se trouver dans ton /home  sous gnome je pense
comme tu fonctionne avec nouveau , il ne te reste pas des paquets du driver propriétaire ?

que te donne cette commande en simulation ?


apt-get -s autoremove --purge
 


poste le retour si on te propose d'enlever des paquets

pour le driver vidéo commencer par vérifier que tu n'a pas un fichier de configuration (xorg.conf)  dans /etc/X11/xorg.conf  ou dans /etc/x11/xorg.conf.d/tonfichier.conf

tu peu simuler pour vérifier si encore des paquets du driver nonfree nvidia


apt-get -s remove --purge nvidia*
 


et


apt-get -s remove --purge xserver-xorg-video-nvidia
 



nota : tout ceci en simulation (avec -s)  pour éviter les surprises
ce qui m'interresse c'est ce que renvoie ces commandes

ps: a mon avis (sauf bug ) ta machine doit bien fonctionner avec le driver libre "nouveau" , pas forcément nécessaire d'installer le driver propriétaire

une commande pour arandr et lxrandr
en simulation chez moi


aptitude -s install arandr lxrandr
 



Les NOUVEAUX paquets suivants vont être installés :    
  arandr lxrandr
0 paquets mis à jour, 2 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 114 ko d'archives. Après dépaquetage, 720 ko seront utilisés.
Charger/installer/enlever des paquets.
 


ton problème de driver nvidia est résolu ?
tu a juste un souci pour installer les utilitaires "arandr"et "lxrandr" ?

autre chose (tout ce que je donne est sans danger , en simulation ou pour information )
installe le paquet "nvidia-detect"


apt-get install nvidia-detect
 


puis en user tape la commande


nvidia-detect
 


et poste le retour ici  smile

Dernière modification par robert2a (09-02-2018 14:44:11)

Hors ligne

Pied de page des forums